anzahl_schritte = 40;
//delta = ones(4,2)*0.001;  //Schrittweite für jeden der 3 Parameter in beide Richtungen


//param_start = [361.46343   , 1.524031  ,  69.881938   , 14999.32  ];
//param_start = [361.46343   , 1.524031  ,  69.881938   , 1  ];
//param_start = [361.54946   , 1.7517749 ,   72.776357    12819.042 ]; 
//param_start = [361.54946   , 1.7517749 ,   72.776357    20000.0 ]; 
//param_start = [362.54269    0.7890396    71.627663    20000.0  ];

param_start = [362.51078    0.6240459    75.735496    22000.004  ];

delta = [param_start'*0.1,param_start'*0.1];

param = param_start;
param_neu = param;

fehler = berechneFehler(param);
disp("Fehler vor Optimierung:");
disp(fehler);
fehler_neu = fehler;

for i=1:1:anzahl_schritte
    pnumber    = 1+ floor(grand(1, 1, "unf", 0, 3.999999999));
    prichtung  = 2*floor(grand(1, 1, "unf", 0, 1.999999999))-1;
    prichtung_index = (prichtung+1)/2 + 1;

    param_neu = param;
    param_neu(pnumber) = param_neu(pnumber) + prichtung*delta(pnumber,prichtung_index);
    fehler_neu = berechneFehler(param_neu);

    if ( fehler_neu <= fehler ) then
        fehler = fehler_neu;
        param  = param_neu;
        delta(pnumber,prichtung_index) = delta(pnumber,prichtung_index)*1.1;
    else
        delta(pnumber,prichtung_index) = delta(pnumber,prichtung_index)*0.9;
    end
end

fehler = berechneFehler(param_start);
disp("Fehler vor Optimierung:");
disp(fehler);

a = param_start(1);
b = param_start(2);
c = param_start(3);
d = param_start(4);

t = 0:0.005:(1-0.005);
y0 = [-300,0]';
t0 = 0;
yalt  = ode(y0,t0,t,rechteSeite);


fehler = berechneFehler(param);
disp("Fehler nach Optimierung:");
disp(fehler);

a = param(1);
b = param(2);
c = param(3);
d = param(4);

t = 0:0.005:(1-0.005);
y0 = [-300,0]';
t0 = 0;
yneu  = ode(y0,t0,t,rechteSeite);

plot(t,yalt(1,:)','gre',t,yneu(1,:),'red',t,mat(:,2),'blu');

